## bmtk 0.0+git20210109.8572664+ds

=== docs/autodocs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = BrainModelingToolkit
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

html:
	sphinx-apidoc -f -o source/bmtk/ ../../bmtk
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

tutorials:
	cp ../tutorial/\d\d_single_cell_clamped.ipynb source


# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
bmtk (0.0+git20210109.8572664+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Python spelling in description

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jan 2021 08:46:41 +0100

bmtk (0.0+git20201018.018da0a+ds-2) unstable; urgency=medium

  * Builds only on amd64 (Closes: #976524)

 -- Shayan Doust <hello@shayandoust.me>  Wed, 09 Dec 2020 20:52:12 +0000

bmtk (0.0+git20201018.018da0a+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)

  [ Shayan Doust ]
  * Fix pathing for tutorial images (required for sphinx document generation)
  * sphinx-apidoc to build autodocs

 -- Shayan Doust <hello@shayandoust.me>  Wed, 04 Nov 2020 13:02:16 +0000

bmtk (0.0+git20200825.85e8aa2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #962822)

 -- Shayan Doust <hello@shayandoust.me>  Sun, 06 Sep 2020 15:19:10 +0000

=== debian/control ===
Source: bmtk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-setuptools,
               dh-python,
               pandoc,
               python3-jsonschema,
               python3-pandas,
               python3-numpy,
               python3-six,
               python3-h5py,
               python3-matplotlib,
               python3-scipy,
               python3-skimage,
               python3-sympy,
               python3-pytest,
               python3-neuron,
               python3-sphinx,
               python3-numpydoc,
               python3-flake8,
               python3-nbsphinx,
               python3-mpi4py,
               fonts-bebas-neue
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/bmtk
Vcs-Git: https://salsa.debian.org/med-team/bmtk.git
Homepage: https://github.com/AllenInstitute/bmtk
Rules-Requires-Root: no

Package: python3-bmtk
Architecture: amd64
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-jsonschema,
         python3-pandas,
         python3-numpy,
         python3-six,
         python3-h5py,
         python3-matplotlib,
         python3-scipy,
         python3-skimage,
         python3-sympy,
         fonts-bebas-neue
Suggests: python3-bmtk-doc,
          python3-bmtk-examples
Description: development package for building, simulating and analysing large-scale networks
 The brain modelling toolkit is a software development package for
 building, simulating and analysing large-scale networks of different
 levels of resolution.

Package: python3-bmtk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-requirejs
Recommends: python3-bmtk
Description: documentation for python3-bmtk
 The brain modelling toolkit is a software development package for
 building, simulating and analysing large-scale networks of different
 levels of resolution.
 .
 This package contains documentation meant to accommodate the
 python3-bmtk package.

Package: python3-bmtk-examples
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-bmtk
Description: example Python files for python3-bmtk
 The brain modelling toolkit is a software development package for
 building, simulating and analysing large-scale networks of different
 levels of resolution.
 .
 This package contains example Python3 scripts meant to accommodate the
 python3-bmtk package.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	sphinx-apidoc -f -o docs/autodocs/source/bmtk/ bmtk
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/autodocs/source/ build/html # HTML generator

override_dh_install:
	find . -name "*" -size 0 -print0 -exec rm {\} \;
	find . -name "*.json" -exec chmod -x {\} \;
	find . -name "*.nml" -exec chmod -x {\} \;
	find . -name "*.swc" -exec chmod -x {\} \;
	find . -name "*.csv" -exec chmod -x {\} \;
	find . -name "*.h5" -exec chmod -x {\} \;
	find docs/examples/ -name "*.py" -exec sed -i '1i\#!/usr/bin/python3' {\} \;
	dh_install

=== debian/watch ===
version=4

opts="mode=git,pretty=0.0+git%cd.%h, \
        repacksuffix=+ds, \
        repack,compression=xz, \
        dversionmangle=s/\.ds//" \
  https://github.com/AllenInstitute/bmtk.git HEAD

## bmtk 1.0.3+ds

=== debian/changelog ===
bmtk (1.0.3+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Add nocheck profile option

  [ Nilesh Patra ]
  * d/rules: Pass right testdir to test args

 -- Nilesh Patra <nilesh@debian.org>  Sat, 19 Feb 2022 18:25:38 +0530

bmtk (1.0.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jan 2022 21:10:41 +0100

bmtk (0.0.9+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
    Closes: #999525
  * Point watch file to upstream tags
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + python3-bmtk-examples: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Sat, 04 Dec 2021 08:54:26 +0100

bmtk (0.0+git20210109.8572664+ds-2) unstable; urgency=medium

  * Team Upload.
  * Removal alt tags from problematic html
    files: makes build reproducible (Closes: #985143)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 14:39:34 +0530

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
                python3-setuptools,
                dh-python,
                pandoc,
-               python3-jsonschema,
-               python3-pandas,
-               python3-numpy,
-               python3-six,
-               python3-h5py,
-               python3-matplotlib,
-               python3-scipy,
-               python3-skimage,
-               python3-sympy,
-               python3-pytest,
-               python3-neuron,
+               python3-jsonschema <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-six <!nocheck>,
+               python3-h5py <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-scipy <!nocheck>,
+               python3-skimage <!nocheck>,
+               python3-sympy <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-neuron <!nocheck>,
                python3-sphinx,
                python3-numpydoc,
                python3-flake8,
                python3-nbsphinx,
-               python3-mpi4py,
+               python3-mpi4py <!nocheck>,
                fonts-bebas-neue
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/bmtk
 Vcs-Git: https://salsa.debian.org/med-team/bmtk.git
 Homepage: https://github.com/AllenInstitute/bmtk
@@ -75,6 +75,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-bmtk
+Multi-Arch: foreign
 Description: example Python files for python3-bmtk
  The brain modelling toolkit is a software development package for
  building, simulating and analysing large-scale networks of different

## bmtk 1.0.6+ds

=== debian/changelog ===
bmtk (1.0.6+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Recommends: python3-neuron

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jul 2022 13:52:24 +0200

bmtk (1.0.5+ds-2) unstable; urgency=medium

  * Add jsonschema4.patch.  (Closes: #1015011)
  * d/control: add myself to uploaders.
  * Set upstream metadata fields: Repository.
  * Apply multi-arch hints.
    + python3-bmtk-doc: Add Multi-Arch: foreign.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Jul 2022 21:48:30 +0200

bmtk (1.0.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 15:49:53 +0200

bmtk (1.0.4+ds-3) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Run tests only on amd64 since
    bmtk is not available elsewhere (Closes: #1009789)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Apr 2022 22:45:04 +0530

bmtk (1.0.4+ds-2) unstable; urgency=medium

  [ Mohd Bilal ]
  * Team upload.
  * Add autopkgtest

  [ Andreas Tille ]
  * Install cell_metrics csv files

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 07 Apr 2022 15:59:44 +0000

bmtk (1.0.4+ds-1) unstable; urgency=medium

  * Team Upload.
  * d/salsa-ci.yml: Simplify to disable i386 build
  * New upstream version 1.0.4+ds

 -- Nilesh Patra <nilesh@debian.org>  Sun, 13 Mar 2022 15:52:12 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: bmtk
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shayan Doust <hello@shayandoust.me>
+Uploaders: Shayan Doust <hello@shayandoust.me>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -25,7 +26,7 @@
                python3-nbsphinx,
                python3-mpi4py <!nocheck>,
                fonts-bebas-neue
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/bmtk
 Vcs-Git: https://salsa.debian.org/med-team/bmtk.git
 Homepage: https://github.com/AllenInstitute/bmtk
@@ -46,6 +47,7 @@
          python3-skimage,
          python3-sympy,
          fonts-bebas-neue
+Recommends: python3-neuron
 Suggests: python3-bmtk-doc,
           python3-bmtk-examples
 Description: development package for building, simulating and analysing large-scale networks
@@ -61,6 +63,7 @@
          libjs-mathjax,
          libjs-requirejs
 Recommends: python3-bmtk
+Multi-Arch: foreign
 Description: documentation for python3-bmtk
  The brain modelling toolkit is a software development package for
  building, simulating and analysing large-scale networks of different

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+export PYBUILD_TEST_ARGS={dir}/bmtk/tests/
 
 include /usr/share/dpkg/default.mk
 
@@ -26,4 +27,6 @@
 	find . -name "*.csv" -exec chmod -x {\} \;
 	find . -name "*.h5" -exec chmod -x {\} \;
 	find docs/examples/ -name "*.py" -exec sed -i '1i\#!/usr/bin/python3' {\} \;
+	find . -name tutorial_filter_models.html | xargs sed -i '/<img[[:space:]]/ s/alt\=\"[^"]*"//g'
+	find . -name tutorial_pointnet_modeling.html | xargs sed -i '/<img[[:space:]]/ s/alt\=\"[^"]*"//g'
 	dh_install

## bmtk 1.0.8+ds

=== debian/changelog ===
bmtk (1.0.8+ds-2) unstable; urgency=medium

  * d/rules: fix examples only for architecture independent builds.
    This fixes a failure to build architecture dependent packages only.

 -- Étienne Mollier <emollier@debian.org>  Wed, 20 Dec 2023 16:12:14 +0100

bmtk (1.0.8+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Add versioned Depends to non-broken dependencies

  [ Étienne Mollier ]
  * d/rules: adjust for examples/ directory move.
  * d/python3-bmtk-examples.examples: adjust for examples/ move.
  * missing-vecstim.patch: new: skip some nrn tests.
    Some of the tests are skipped when neuron is missing mechanisms
    support, but not all in some affected upstream versions.  This skips a
    number of test failures due to the missing support.
  * d/rules: fix examples headers at later stage.
    Fixing examples headers after they are installed in their target
    installation directory avoids modifying the original files, thus
    avoids the need for complex cleanup scripts afterwards.
  * d/clean: cleanup documentation artifacts. (Closes: #1043949)
  * d/rules: restore several removed empty files. (Closes: #1049671)

 -- Étienne Mollier <emollier@debian.org>  Wed, 20 Dec 2023 15:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -16,17 +16,17 @@
                python3-h5py <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-scipy <!nocheck>,
-               python3-skimage <!nocheck>,
+               python3-skimage (>= 0.19.3-6~) <!nocheck>,
                python3-sympy <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-neuron <!nocheck>,
+               python3-neuron (>= 7.6.3-4~) <!nocheck>,
                python3-sphinx,
                python3-numpydoc,
                python3-flake8,
                python3-nbsphinx,
                python3-mpi4py <!nocheck>,
                fonts-bebas-neue
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bmtk
 Vcs-Git: https://salsa.debian.org/med-team/bmtk.git
 Homepage: https://github.com/AllenInstitute/bmtk

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,31 @@
 	find . -name "*.swc" -exec chmod -x {\} \;
 	find . -name "*.csv" -exec chmod -x {\} \;
 	find . -name "*.h5" -exec chmod -x {\} \;
-	find docs/examples/ -name "*.py" -exec sed -i '1i\#!/usr/bin/python3' {\} \;
 	find . -name tutorial_filter_models.html | xargs sed -i '/<img[[:space:]]/ s/alt\=\"[^"]*"//g'
 	find . -name tutorial_pointnet_modeling.html | xargs sed -i '/<img[[:space:]]/ s/alt\=\"[^"]*"//g'
 	dh_install
+
+EXAMPLES_ROOT = $(CURDIR)/debian/python3-bmtk-examples
+EXAMPLES_DIR = $(EXAMPLES_ROOT)/usr/share/doc/python3-bmtk-examples/examples
+execute_after_dh_installexamples-indep:
+	@ echo "I: Fix examples headers for running as python3 scripts."
+	find $(EXAMPLES_DIR)/ \
+		-name "*.py" \
+		-exec sed -i '1i\#!/usr/bin/python3' {\} \;
+
+# For some reason, __init__.py and other empty files get removed at some point.
+# Restoring them fixes attempts to run the test suite when running multiple
+# binary builds in a row.
+RESTORE_EMPTY_FILES = \
+	bmtk/tests/__init__.py \
+	bmtk/tests/utils/reports/spike_trains/__init__.py \
+	bmtk/tests/utils/reports/compartment/test_compartment_report.py \
+	bmtk/tests/utils/reports/compartment/__init__.py \
+	bmtk/tests/simulator/__init__.py \
+	bmtk/tests/simulator/popnet/__init__.py \
+	bmtk/tests/simulator/pointnet/__init__.py \
+	bmtk/tests/simulator/bionet/__init__.py \
+	bmtk/simulator/core/__init__.py \
+	bmtk/simulator/core/modules/__init__.py
+execute_after_dh_auto_clean:
+	touch $(RESTORE_EMPTY_FILES)

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-mpi4py
Restrictions: allow-stderr
Architecture: amd64

## bmtk 1.1.0+ds

=== debian/changelog ===
bmtk (1.1.0+ds-1) unstable; urgency=medium

  * New upstream version 1.1.0+ds
  * d/control: declare compliance to standards version 4.7.0.
  * missing-vecstim.patch: refresh.
  * d/rules: fix permissions on many example .mod files.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 12:15:57 +0200

bmtk (1.0.8+ds-3) unstable; urgency=medium

  * d/rules: run tests in pybuild build directory. (Closes: #1067347)

 -- Étienne Mollier <emollier@debian.org>  Wed, 27 Mar 2024 07:19:20 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                python3-nbsphinx,
                python3-mpi4py <!nocheck>,
                fonts-bebas-neue
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/bmtk
 Vcs-Git: https://salsa.debian.org/med-team/bmtk.git
 Homepage: https://github.com/AllenInstitute/bmtk

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,8 @@
 #!/usr/bin/make -f
-
-# DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
-export PYBUILD_TEST_ARGS={dir}/bmtk/tests/
+export PYBUILD_BEFORE_TEST = cp -r {dir}/bmtk/tests {build_dir}/bmtk/
 
 include /usr/share/dpkg/default.mk
-
-# for hardening you might like to uncomment this:
-# export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -26,6 +21,7 @@
 	find . -name "*.swc" -exec chmod -x {\} \;
 	find . -name "*.csv" -exec chmod -x {\} \;
 	find . -name "*.h5" -exec chmod -x {\} \;
+	find . -name "*.mod" -exec chmod -x {\} \;
 	find . -name tutorial_filter_models.html | xargs sed -i '/<img[[:space:]]/ s/alt\=\"[^"]*"//g'
 	find . -name tutorial_pointnet_modeling.html | xargs sed -i '/<img[[:space:]]/ s/alt\=\"[^"]*"//g'
 	dh_install

## bmtk 1.1.1%2Bds

=== debian/changelog ===
bmtk (1.1.1+ds-4) unstable; urgency=medium

  * Team upload.
  * Refreshed patch metadata
  * Cherry-picked patch from upstream to fix building with NumPy 2.x.
    Closes: #1095723
  * d/control: needs new package of python3-neuron for the HocObject
    iterable fixes
  * Standards-Version: 4.7.1 (routine-update)
  * d/rules: simplify
  * d/control: add missing package for the docs
  * Added patch to defer importing the optional "dipde" dependency until
    it is needed. It is not currently packaged for Debian. This will
    help build the docs.
  * Added build & test dependency on python3-memory-profiler for the
    tests & docs
  * Forwarded one patch, marked the rest as not needing forwarding

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Feb 2025 16:24:36 +0100

bmtk (1.1.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Fix Python3.12 string syntax
    Closes: #1085366
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2024 10:37:45 +0100

bmtk (1.1.1+ds-2) unstable; urgency=medium

  * rm-distutils.patch: new: get rid of leftover distutils occurrences.
    (Closes: #1083070)

 -- Étienne Mollier <emollier@debian.org>  Thu, 17 Oct 2024 18:14:53 +0200

bmtk (1.1.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refresh patches
  * Add build dependency on python3-ipython

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Jul 2024 22:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                python3-all,
                python3-setuptools,
-               dh-python,
+               dh-sequence-python3,
                pandoc,
                python3-jsonschema <!nocheck>,
                python3-pandas <!nocheck>,
@@ -19,14 +19,17 @@
                python3-skimage (>= 0.19.3-6~) <!nocheck>,
                python3-sympy <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-neuron (>= 7.6.3-4~) <!nocheck>,
+               python3-neuron (>= 8.2.2-8~) <!nocheck>,
+               python3-ipython <!nodoc>,
                python3-sphinx,
                python3-numpydoc,
                python3-flake8,
                python3-nbsphinx,
                python3-mpi4py <!nocheck>,
-               fonts-bebas-neue
-Standards-Version: 4.7.0
+               python3-memory-profiler <!nocheck> <!nodoc>,
+               fonts-bebas-neue,
+               libjs-requirejs <!nodoc>
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/med-team/bmtk
 Vcs-Git: https://salsa.debian.org/med-team/bmtk.git
 Homepage: https://github.com/AllenInstitute/bmtk
@@ -47,7 +50,7 @@
          python3-skimage,
          python3-sympy,
          fonts-bebas-neue
-Recommends: python3-neuron
+Recommends: python3-neuron (>= 8.2.2-8~)
 Suggests: python3-bmtk-doc,
           python3-bmtk-examples
 Description: development package for building, simulating and analysing large-scale networks

## bmtk 1.1.1+ds

=== docs/autodocs/Makefile ===
--- 
+++ 
@@ -18,9 +18,6 @@
 	sphinx-apidoc -f -o source/bmtk/ ../../bmtk
 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
 
-tutorials:
-	cp ../tutorial/\d\d_single_cell_clamped.ipynb source
-
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== debian/rules ===
#!/usr/bin/make -f
export LC_ALL=C.UTF-8
export PYBUILD_BEFORE_TEST = cp -r {dir}/bmtk/tests {build_dir}/bmtk/

include /usr/share/dpkg/default.mk

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
	sphinx-apidoc -f -o docs/autodocs/source/bmtk/ bmtk
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/autodocs/source/ build/html # HTML generator

execute_before_dh_install:
	find docs -type f -size 0 -print -exec rm {\} \;
	find build -type f -size 0 -print -exec rm {\} \;
	find . -name "*.json" -exec chmod -x {\} \;
	find . -name "*.nml" -exec chmod -x {\} \;
	find . -name "*.swc" -exec chmod -x {\} \;
	find . -name "*.csv" -exec chmod -x {\} \;
	find . -name "*.h5" -exec chmod -x {\} \;
	find . -name "*.mod" -exec chmod -x {\} \;
	find . -name tutorial_filter_models.html | xargs sed -i '/<img[[:space:]]/ s/alt\=\"[^"]*"//g'
	find . -name tutorial_pointnet_modeling.html | xargs sed -i '/<img[[:space:]]/ s/alt\=\"[^"]*"//g'
	dh_install

EXAMPLES_ROOT = $(CURDIR)/debian/python3-bmtk-examples
EXAMPLES_DIR = $(EXAMPLES_ROOT)/usr/share/doc/python3-bmtk-examples/examples
execute_after_dh_installexamples-indep:
	@ echo "I: Fix examples headers for running as python3 scripts."
	find $(EXAMPLES_DIR)/ \
		-name "*.py" \
		-exec sed -i '1i\#!/usr/bin/python3' {\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-mpi4py, python3-memory-profiler
Restrictions: allow-stderr
Architecture: amd64

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/AllenInstitute/bmtk/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

#opts="mode=git,pretty=0.0+git%cd.%h, \
#        repacksuffix=+ds, \
#        repack,compression=xz, \
#        dversionmangle=s/\.ds//" \
#  https://github.com/AllenInstitute/bmtk.git HEAD
